#!/bin/bash
source ~/.bash_profile
source ~/.bashrc

conda activate python36 

#1. download data
nowday=`date  +"%Y%m%d" -d -0days`
last7day=`date  +"%Y%m%d" -d -8days`
echo ${nowday} 
echo ${last7day}
mkdir -p ./data/

python extract_share_log.py ${last7day} ${nowday}
if [ $? -ne 0 ];
then
    echo "[ERROR] echo 'extract_share_log"
    exit 255
fi
#nowday='20230505'
#2. cal i2i result
python calI2I.py ${nowday}
then
    echo "[ERROR] echo 'calI2I"
    exit 255
fi

#3.import res
python import_redist.py "./data/rec_result_"${nowday}".json"
